<?php

namespace kernel\filters;

use itguild\forms\builders\TextInputBuilder;
use Itguild\Tables\Filter\Filter;

class BootstrapTextFilter extends Filter
{

    public function fetch()
    {
        $textInput = TextInputBuilder::build($this->name, [
            'value' => $this->value,
            'class' => "form-control"
        ]);

        return "<td>" . $textInput->create()->fetch() . "</td>";

    }
}